textures/spacestation_beta5/skybox
{
	qer_editorimage textures/spacestation_beta5/skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_sun 0.8 1.0 1.0 1024 0 0
	q3map_sunExt 0.8 1.0 1.0 1024 0 0 1.5 16
	q3map_surfacelight 512
	skyparms env/spacestation_beta5/spacestation 512 -
}

textures/spacestation_beta5/wormhole
{
	qer_editorimage textures/spacestation_beta5/wormhole.tga
	qer_trans 0.5
	q3map_globaltexture
	q3map_surfacelight 512
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	cull disable
	{
		map textures/spacestation_beta5/wormhole.tga
		alphaGen portal 256
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbgen identityLighting
	}
}

textures/spacestation_beta5/wormhole2
{
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/spacestation_beta5/wormhole2.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 8192
	}
}

textures/spacestation_beta5/blueglass
{
	qer_editorimage textures/spacestation_beta5/blueglass.tga
	qer_trans 0.2
	q3map_globaltexture
	surfaceparm trans
	cull disable
	{
		map textures/spacestation_beta5/blueglass.tga
		alphaGen const 0.2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/spacestation_beta5/redglass
{
	qer_editorimage textures/spacestation_beta5/redglass.tga
	qer_trans 0.2
	q3map_globaltexture
	surfaceparm trans
	cull disable
	{
		map textures/spacestation_beta5/redglass.tga
		alphaGen const 0.2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/spacestation_beta5/whiteglass
{
	qer_editorimage textures/spacestation_beta5/whiteglass.tga
	qer_trans 0.1
	q3map_globaltexture
	surfaceparm trans
	cull disable
	{
		map textures/spacestation_beta5/whiteglass.tga
		alphaGen const 0.1
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/spacestation_beta5/light_4096
{
	qer_editorimage textures/spacestation_beta5/light.tga
	q3map_surfacelight 4096
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/spacestation_beta5/light.tga
	}
}

textures/spacestation_beta5/coolant
{
	qer_editorimage textures/spacestation_beta5/coolant.tga
	qer_trans 0.5
	q3map_globaltexture
	q3map_surfacelight 256
	q3map_tessSize 128
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm slime
	surfaceparm trans
	deformVertexes wave 128 sin 0 2 0 0.5
	cull disable
	{
		map textures/spacestation_beta5/coolant.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/spacestation_beta5/coolant2.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
}

textures/spacestation_beta5/electric
	{
	qer_editorimage textures/spacestation_beta5/electric.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/spacestation_beta5/electric.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod turb 1 0.1 0 2
		tcmod scroll 0 0.2
	}
	{
		map textures/spacestation_beta5/electric2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod turb 1 -0.2 0 4
		tcmod scroll 0 -0.4
	}
	{
		map textures/spacestation_beta5/electric3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod turb 1 0.15 0 3
		tcmod scroll 0.3 0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}